#!/bin/sh

mypath=`echo $0|sed 's/[^/]*$//'|sed 's/\/$//'`
if [ "$mypath" = "." ]; then
  mypath=`pwd`
fi
cd $mypath


MYNAME=`find -maxdepth 1 -type d |sed "s/^\.//"|sed "s/\///"|tail -n 1`

###### create an explanationtext for PupGet
echo "If you register this package to PupGet," > pupreg.txt
echo "you can uninstall it with the PupGet-Package-Manager." >> pupreg.txt
echo "" >> pupreg.txt
echo "If you remaster a Puppy-CD, this package only" >> pupreg.txt
echo "will be included to the CD, if you register it." >> pupreg.txt
echo "" >> pupreg.txt
echo "If you don't, it will be ignored on the CD." >> pupreg.txt
echo "" >> pupreg.txt
echo "Choose "yes", if you don't know what to do." >> pupreg.txt
echo "" >> pupreg.txt

### archive the folder
tar -czvf $MYNAME.tgz $MYNAME

### ask for executable (for wxB-Menue)

FILE=`Xdialog --stdout --title "Please choose the executable to add to wxB-Menue" --fselect "$mypath/$MYNAME/" 0 0`

echo "$FILE" |sed "s#^$mypath/##">wxbmenue.rc

cat dotpup.sh-template | sed "s/XXPROGXX/$MYNAME/g" >dotpup.sh
chmod 755 dotpup.sh

if [ ! -f "config.files" ];then
  touch config.files
fi

md5sum dotpup.sh pupreg.txt $MYNAME.tgz wxbmenue.rc config.files > md5sum.txt
rm $MYNAME.pup
zip -9 $MYNAME.pup dotpup.sh pupreg.txt md5sum.txt $MYNAME.tgz wxbmenue.rc config.files


RESULT=`xmessage -nearmouse -print -buttons yes,no "Created $MYNAME.pup. Delete TEMP-files?"`

if [ $RESULT = "yes" ]; then

rm -f wxbmenue.rc
rm -f pupreg.txt
rm -f dotpup.sh
rm -f md5sum.txt
rm -f $MYNAME.tgz

fi
