#!/bin/sh

#### Find out where we are (more reliable than pwd with rox)
MYDIR=`echo $0|sed 's/[^/]*$//'|sed 's/\/$//'`

if [ "$MYDIR" = "." ]; then
  MYDIR=`pwd`
fi


#FOLDER=~
FOLDER=/usr/local

#### normal users (not root) just are allowed to extract to their /home
if [ "$FOLDER" != ~ ]; then
  IAM=`whoami`
  if [ "$IAM" != "root" ]; then
     xmessage -nearmouse "ERROR: You must be root to install dotpup-maker-script-mu06, exiting..."
     exit
  fi
fi

if [ ! -d "$FOLDER" ] ;then
  mkdir $FOLDER
fi

cd $FOLDER

#### If folder exists and is empty (PCCC does not remove it), start uninstaller
ACTION=install
if [ -d "dotpup-maker-script-mu06" ]; then
  ISEMPTY=`ls dotpup-maker-script-mu06`
  if [ "$ISEMPTY" != "" ]; then
    ACTION=`xmessage -nearmouse -print -buttons un-install,re-install "dotpup-maker-script-mu06 already exists, your choice?"`
  fi
fi

echo $ACTION

#### Uninstall
if [ "$ACTION" = "un-install" ]; then

   if [ -f "/root/.packages/dotpup-maker-script-mu06.files" ];then
      xmessage -nearmouse "Please uninstall with Pup-get Package-manager! - STOPPED -"
      exit 0
   fi
   ### just to be sure not to delete /usr/local or ~ by accident
   if [ "$FOLDER/dotpup-maker-script-mu06" != "$FOLDER/" ];then
     rm -rf $FOLDER/dotpup-maker-script-mu06
   fi
   xmessage -nearmouse "Finished, dotpup-maker-script-mu06 was uninstalled"
   exit 0
fi

if [ "$ACTION" = "re-install" ]; then
  ACTION=install
fi

if [ "$ACTION" != "install" ]; then
   exit 0
fi


#### install
#### extract archive

  tar -xzvf $MYDIR/dotpup-maker-script-mu06.tgz

  #### were there any errors?
  if [ ! -d "$FOLDER/dotpup-maker-script-mu06" ]; then
    xmessage -nearmouse "Error during extraction - are you root?"
    exit 1
  fi

#############################
## generate Entry for wxB-menue

if [ -f "$MYDIR/wxbmenue.rc" ];then

MYFILE=`head -n 1 "$MYDIR/wxbmenue.rc"`
rm -f /tmp/mrc1

  FILE=$FOLDER/$MYFILE
  echo "<?xml version=\"1.0\"?>" >/tmp/mrc1
  echo "<RootMenu>" >>/tmp/mrc1
  echo "<Menu label=\"DotPups\" icon=\"nothing.xpm\">" >>/tmp/mrc1

  ### check, if there already is a "DotPups"-submenue
  MENUEXISTED=1
  MYGREP=`grep "<Menu label=\"DotPups\"" ~/.myownmenuerc`
  if [ "$MYGREP" = "" ];then
    MENUEXISTED=0
  fi
  ### delete old entries
  rm -f /tmp/mrc0
  cat ~/.myownmenuerc |sed "s^<Program.label=.dotpup-maker-script-mu06..*$g" |while read a ;
  do if [ "$a" ];then echo $a>>/tmp/mrc0;fi;done

  if [ "$MYFILE" ];then 
    echo "<Program label=\"dotpup-maker-script-mu06\" icon=\"$FOLDER/dotpup-maker-script-mu06/icon.xpm\">$FILE</Program>" >>/tmp/mrc1
  fi
  if [ "$MENUEXISTED" = "0" ];then
    echo "</Menu>" >>/tmp/mrc1
  fi

  cat /tmp/mrc0 |sed "s/<.xml.*$//" |sed "s/<RootMenu>.*$//"  |sed "s/<.RootMenu>.*$//" |sed "s/<Menu.label=.DotPups.*$//" |sed "s/^$//g" |while read a ;
  do if [ "$a" ];then echo $a>>/tmp/mrc1;fi;done

  echo "</RootMenu>" >>/tmp/mrc1
  cp  ~/.myownmenuerc  ~/.myownmenuerc.bak
  mv /tmp/mrc1  ~/.myownmenuerc
  if [ "$MYFILE" ];then 
      xmessage -nearmouse "added entry to wxB-Menue. You must restart the menue to see it."
  fi
  rm -f /tmp/mrc0
fi


#############################

  #### test if PCCC is available (Puppy-Linux)
  if [ ! -f "/root/.packages/packages.txt" ];then

      #### finally open the new folder in Rox and display "goodbye" (Systems without PCCC)
      rox "$FOLDER/dotpup-maker-script-mu06"
      xmessage -nearmouse "Finished installation. To Uninstall dotpup-maker-script-mu06, run this installer again."
      exit 0
  fi

  #### Option to register to PCCC

   #### if it was registered before, force registering

   if [ -f "/root/.packages/dotpup-maker-script-mu06.files" ];then
     RESULT=yes
   else
     RESULT=`xmessage -nearmouse -print -buttons yes,no,"more info" "register to pupget?"`
   fi

    if [ "$RESULT" = "more info" ]; then
      Xdialog --title "info on pupget" --textbox "$MYDIR/pupreg.txt" 0 0&
      RESULT=`xmessage -nearmouse -print -buttons yes,no "register to pupget?"`
    fi

    if [ "$RESULT" = "no" ]; then
      #### finally open the new folder in Rox and display "goodbye" (Puppy: PCCC was NOT used)
      rox "$FOLDER/dotpup-maker-script-mu06"
      xmessage -nearmouse "Finished installation. To Uninstall dotpup-maker-script-mu06, run this installer again."
      exit 0
    fi


      #### register to PCCC
      #### avoid double entries in PCCC
      MYGREP=`grep "dotpup-maker-script-mu06" /root/.packages/alienpackages.txt`
      if [ "$MYGREP" = "" ];then
        echo \"dotpup-maker-script-mu06\" \"dotpup-maker-script-mu06\" on \"\" \\>>/root/.packages/alienpackages.txt
      fi

      #### Register Keyword to PCCC
      echo dotpup-maker-script-mu06>/root/.packages/dotpup-maker-script-mu06.keyword

      #### Register filelist to PCCC
      rm -f /root/.packages/dotpup-maker-script-mu06.files
      tar -tzf $MYDIR/dotpup-maker-script-mu06.tgz | while read a; do echo "$FOLDER/$a"|sed "s/\/$//">>/root/.packages/dotpup-maker-script-mu06.files ; done
      cat $MYDIR/config.files >> /root/.packages/dotpup-maker-script-mu06.files



      #### finally open the new folder in Rox and display "goodbye" (Puppy: PCCC was used)
      rox "$FOLDER/dotpup-maker-script-mu06"
      xmessage -nearmouse "Finished installation. To Uninstall dotpup-maker-script-mu06, use the Pup-Get Package-Manager"



